import PropTypes from 'prop-types';
import { BASE_CLASS } from '../../config.js';
import HelpContent from '../Info/HelpContent.js';
import { jsx as _jsx } from "react/jsx-runtime";
import { jsxs as _jsxs } from "react/jsx-runtime";
import { Fragment as _Fragment } from "react/jsx-runtime";
var Form = function Form(_ref) {
  var children = _ref.children,
    icons = _ref.icons,
    title = _ref.title;
  return /*#__PURE__*/_jsxs(_Fragment, {
    children: [/*#__PURE__*/_jsxs("div", {
      className: BASE_CLASS + "-form",
      children: [/*#__PURE__*/_jsx("div", {
        className: BASE_CLASS + "-formHeader",
        children: /*#__PURE__*/_jsx("h1", {
          className: BASE_CLASS + "-formHeaderTitle",
          children: title
        })
      }), /*#__PURE__*/_jsx("div", {
        className: BASE_CLASS + "-formContent",
        children: children
      })]
    }), /*#__PURE__*/_jsx(HelpContent, {
      icons: icons
    })]
  });
};
Form.displayName = 'Form';
export default Form;