import PropTypes from 'prop-types';
import { BASE_CLASS } from '../../config.js';
import useI18n from '../../hooks/useI18n.js';
import LoginForm from '../Form/LoginForm.js';
import UserAcquisitionText from '../Info/UserAcquisitionText.js';
import Form from './Form.js';
import LoginInfo from './LoginInfo.js';
import { jsx as _jsx } from "react/jsx-runtime";
import { Fragment as _Fragment } from "react/jsx-runtime";
import { jsxs as _jsxs } from "react/jsx-runtime";
var Login = function Login(_ref) {
  var icons = _ref.icons;
  var i18n = useI18n();
  var title = i18n.t('LOGIN_CROSS.LOGIN.TITLE');
  return /*#__PURE__*/_jsxs("div", {
    className: BASE_CLASS,
    children: [/*#__PURE__*/_jsx("div", {
      className: BASE_CLASS + "-item",
      children: /*#__PURE__*/_jsx(LoginInfo, {})
    }), /*#__PURE__*/_jsx("div", {
      className: BASE_CLASS + "-item",
      children: /*#__PURE__*/_jsx(Form, {
        icons: icons,
        title: title,
        children: /*#__PURE__*/_jsxs(_Fragment, {
          children: [/*#__PURE__*/_jsx(LoginForm, {
            icons: icons
          }), /*#__PURE__*/_jsx(UserAcquisitionText, {})]
        })
      })
    })]
  });
};
Login.displayName = 'Login';
export default Login;